## List Page Shield connections `client.pageShield.connections.list(ConnectionListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/page_shield/connections` Lists all connections detected by Page Shield. ### Parameters - `params: ConnectionListParams` - `zone_id: string` Path param: Identifier - `direction?: "asc" | "desc"` Query param: The direction used to sort returned connections. - `"asc"` - `"desc"` - `exclude_cdn_cgi?: boolean` Query param: When true, excludes connections seen in a `/cdn-cgi` path from the returned connections. The default value is true. - `exclude_urls?: string` Query param: Excludes connections whose URL contains one of the URL-encoded URLs separated by commas. - `_export?: "csv"` Query param: Export the list of connections as a file, limited to 50000 entries. - `"csv"` - `hosts?: string` Query param: Includes connections that match one or more URL-encoded hostnames separated by commas. Wildcards are supported at the start and end of each hostname to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match - `order_by?: "first_seen_at" | "last_seen_at"` Query param: The field used to sort returned connections. - `"first_seen_at"` - `"last_seen_at"` - `page?: string` Query param: The current page number of the paginated results. We additionally support a special value "all". When "all" is used, the API will return all the connections with the applied filters in a single page. This feature is best-effort and it may only work for zones with a low number of connections - `page_url?: string` Query param: Includes connections that match one or more page URLs (separated by commas) where they were last seen Wildcards are supported at the start and end of each page URL to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match - `per_page?: number` Query param: The number of results per page. - `prioritize_malicious?: boolean` Query param: When true, malicious connections appear first in the returned connections. - `status?: string` Query param: Filters the returned connections using a comma-separated list of connection statuses. Accepted values: `active`, `infrequent`, and `inactive`. The default value is `active`. - `urls?: string` Query param: Includes connections whose URL contain one or more URL-encoded URLs separated by commas. ### Returns - `Connection` - `id: string` Identifier - `added_at: string` - `first_seen_at: string` - `host: string` - `last_seen_at: string` - `url: string` - `url_contains_cdn_cgi_path: boolean` - `domain_reported_malicious?: boolean` - `first_page_url?: string` - `malicious_domain_categories?: Array` - `malicious_url_categories?: Array` - `page_urls?: Array` - `url_reported_malicious?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const connection of client.pageShield.connections.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(connection.id); } ``` #### Response ```json { "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 }, "success": true, "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "added_at": "2021-08-18T10:51:10.09615Z", "first_seen_at": "2021-08-18T10:51:08Z", "host": "blog.cloudflare.com", "last_seen_at": "2021-09-02T09:57:54Z", "url": "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js", "url_contains_cdn_cgi_path": false, "domain_reported_malicious": false, "first_page_url": "blog.cloudflare.com/page", "malicious_domain_categories": [ "Malware" ], "malicious_url_categories": [ "Malware" ], "page_urls": [ "blog.cloudflare.com/page1", "blog.cloudflare.com/page2" ], "url_reported_malicious": false } ] } ```